<?php
/*------------------------------------------------------------------------
# "Hot Drug Store" Joomla template - August, 2012
# Copyright (C) 2012 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotThemes
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<?php JHtml::_('bootstrap.framework'); ?>
<jdoc:include type="head" />

<?php	// module states
		$ishome=false;
		$menu = JFactory::getApplication()->getMenu();
		if ($menu->getActive() == $menu->getDefault()) {
			$ishome=true;
		}

		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');
        $showuser1 = $this->countModules('user1');
        $showuser2 = $this->countModules('user2');
        $showuser3 = $this->countModules('user3');
        $showuser4 = $this->countModules('user4');
		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
        $showuser[9] = $this->countModules('user9');
        $showuser[10] = $this->countModules('user10');
        $showuser[11] = $this->countModules('user11');
        $showuser[12] = $this->countModules('user12');		
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showinset = $this->countModules('inset');
		$showtoolbar = $this->countModules('toolbar');
        $showbreadcrumbs = $this->countModules('breadcrumbs');
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}

        $bottommodules2 = 0;
        for ($loop = 9; $loop <= 12; $loop += 1) {
            if($showuser[$loop]) { $bottommodules2++; }
        }

?>

<?php	// template parameters

		// template layout
        $copyright = $this->params->get("copyright", "Your Company");
		$templateWidth = $this->params->get("templateWidth", "960");
		$textDirection = $this->params->get("textDirection", "ltr");
        $columnLeftWidth = 0; $columnRightWidth = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "200");
		}else{
			$columnLeftWidth = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "200");
		}else{
			$columnRightWidth = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnRightWidth;
		$overallWidth = $templateWidth;
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
			
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie("Style", $templateStyle, $Month);
			}
		
		if($templateStyle) {
			
		require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{
		
		$bgColor = $this->params->get("bgColor", "#b00505");
        $bgColor2 = $this->params->get("bgColor2", "#c62222");
		$bodyText = $this->params->get("bodyText", "#8F8F8F");
		$linksColor = $this->params->get("linksColor", "#317F95");
		$componentHeadingText = $this->params->get("componentHeadingText", "#c9c9c9");
		$headingText = $this->params->get("headingText", "#c9c9c9");
		$buttonsBg = $this->params->get("buttonsBg", "#E40202");
		$buttonsText = $this->params->get("buttonsText", "#FFFFFF");
        $footerBg = $this->params->get("footerBg", "#e52e2e");
        $topMenuBg = $this->params->get("topMenuBg", "#bd0303");
        $topMenuBg2 = $this->params->get("topMenuBg2", "#bd0303");
		$menuAnimationEffect = $this->params->get("menuEffect", "fadeIn(400)");
		$topMenuText = $this->params->get("topMenuText", "#FFFFFF");
		$topMenuSubText = $this->params->get("topMenuSubText", "#FFFFFF");
		$topMenuTabActive = $this->params->get("topMenuTabActive", "#AEF0F2");
		$topMenuTabHover = $this->params->get("topMenuTabHover", "#AEF0F2");
		$columnHeading = $this->params->get("columnHeading", "#77464D");
		$columnText = $this->params->get("columnText", "#828282");
		$mainMenuColor = $this->params->get("mainMenuColor", "#515151");
		$mainMenuActiveColor = $this->params->get("mainMenuActiveColor", "#FF0000");
		$mainMenuHoverColor = $this->params->get("mainMenuHoverColor", "#FF0000");
		
		}	
		
		// advert1-4 modules width
		if($uppermodules) {
			$advert_width = 0;
			$advert_width = ($templateWidth - ($uppermodules * 24)) / $uppermodules;
			$advert_width = floor($advert_width);
		}
		
		// user5-8 modules width
		if($bottommodules) {
			$bottom_width = 0;
			$bottom_width = ($templateWidth - ($bottommodules * 2)) / $bottommodules;
			$bottom_width = floor($bottom_width);
		}

        // user9-12 modules width
        if($bottommodules2) {
            $bottom_width2 = 0;
            $bottom_width2 = ($templateWidth - ($bottommodules2 * 2)) / $bottommodules2;
            $bottom_width2 = floor($bottom_width2);
        }
?>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/layout.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/vm_drug_store.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/rtl.css" type="text/css" />	
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).'/css/template_css.php'); ?>
-->
</style>
<!--[if gte IE 9]>
  <style type="text/css">
    .header_wrap {
       filter: none;
    }
  </style>
<![endif]-->
<!--[if lte IE 8]>
  <style type="text/css">
    .nivo-caption {
        background:none;
    }
  </style>
<![endif]-->

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery("#nav ul").css({display: "none"}); // Opera Fix
jQuery("#nav li").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery("#nav > li:first-child").addClass("noborder");;
});
</script>

<script type="text/javascript" src="<?php echo $template_path ?>/js/responsive-nav.min.js"></script>

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/reflection.js"></script>
<?php } ?>
</head>
<body>
<div class="main_wrap">
	<div class="header_wrap">
    	<div class="wrap">
            <div class="logo">
            	<jdoc:include type="modules" name="logo" style="xhtml" />
            </div>
            <div class="shopping_cart">
            	<jdoc:include type="modules" name="top" style="xhtml" />
            </div>
        </div>
    </div>
    <div class="topmenu_wrap">
    	<div class="wrap">
        	<div class="topmenu">
        		<jdoc:include type="modules" name="user3" style="xhtml" />
            </div>
            <div class="search_box">
            	<jdoc:include type="modules" name="user4" style="none" />
            </div>
        </div>
    </div>
    <?php if ($uppermodules) { ?>
    <div class="upper">
        <?php if($showadvert[1]) { ?>
        <div class="module_padding <?php if (!$showadvert[2] && !$showadvert[3] && !$showadvert[4]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="advert1" style="xhtml" />
            <div class="clr"></div>
        </div>
        <?php } if($showadvert[2]) { ?>
        <div class="module_padding <?php if (!$showadvert[3] && !$showadvert[4]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="advert2" style="xhtml" />
            <div class="clr"></div>
        </div>
        <?php } if($showadvert[3]) { ?>
        <div class="module_padding <?php if (!$showadvert[4]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="advert3" style="xhtml" />
            <div class="clr"></div>
        </div>
        <?php } if($showadvert[4]) { ?>
        <div class="module_padding last">
            <jdoc:include type="modules" name="advert4" style="xhtml" />
            <div class="clr"></div>
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php } ?>
    <div class="main_bg">
        <div class="main_area">
            <?php if ($showbreadcrumbs) { ?>
            <div class="breadcrumbs_module">
                <jdoc:include type="modules" name="breadcrumbs" style="xhtml" />
            </div>
            <?php } ?>
            <?php 
                require(dirname(__FILE__).DIRECTORY_SEPARATOR.'inc'.DIRECTORY_SEPARATOR.'col_left.php');
                require(dirname(__FILE__).DIRECTORY_SEPARATOR.'inc'.DIRECTORY_SEPARATOR.'col_main.php');
                require(dirname(__FILE__).DIRECTORY_SEPARATOR.'inc'.DIRECTORY_SEPARATOR.'col_right.php'); 
            ?>
            <div class="clr"></div>
        </div>
    </div>
    <?php if ($bottommodules) { ?>
    <div class="bottom">
        <?php if($showuser[5]) { ?>
        <div class="module_padding <?php if (!$showuser[6] && !$showuser[7] && !$showuser[8]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="user5" style="xhtml" />
            <div class="clr"></div>
        </div>
        <?php } if($showuser[6]) { ?>
        <div class="module_padding <?php if (!$showuser[7] && !$showuser[8]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="user6" style="xhtml" />
            <div class="clr"></div>
        </div>
        <?php } if($showuser[7]) { ?>
        <div class="module_padding <?php if (!$showuser[8]) { echo "last"; } ?>">
            <jdoc:include type="modules" name="user7" style="xhtml" />
            <div class="clr"></div>
        </div>
        <?php } if($showuser[8]) { ?>
        <div class="module_padding last">
            <jdoc:include type="modules" name="user8" style="xhtml" />
            <div class="clr"></div>
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php } ?>
    <?php if ($bottommodules2) { ?>
    <div class="bottom2_container">
        <div class="bottom2">
            <?php if($showuser[9]) { ?>
            <div class="module_padding <?php if (!$showuser[10] && !$showuser[11] && !$showuser[12]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="user9" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } if($showuser[10]) { ?>
            <div class="module_padding <?php if (!$showuser[11] && !$showuser[12]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="user10" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } if($showuser[11]) { ?>
            <div class="module_padding <?php if (!$showuser[12]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="user11" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } if($showuser[12]) { ?>
            <div class="module_padding last">
                <jdoc:include type="modules" name="user12" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
    </div>
    <?php } ?>
    <div class="footer_container">
        <div class="footer">
        		<jdoc:include type="modules" name="footer" style="none" />
                <p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. <a href="https://www.hotjoomlatemplates.com">Joomla Templates</a> by HotThemes.</p>
            </div>
        <div class="clr"></div>
    </div>
</div>
<script type="text/javascript">
    jQuery(document).ready(function() {
        jQuery(".fancybox").fancybox();
    });
    var navigation = responsiveNav(".moduletable_menu");
</script>
<jdoc:include type="modules" name="debug" style="none" />
</body>
</html>