body  {
	color:<?php echo $bodyText; ?>;
}

.wrap,.upper,.bottom {
	width:<?php echo $overallWidth; ?>px;
}

.upper,.bottom,.bottom2,.main_area,.footer {
	width:<?php echo $templateWidth; ?>px;
}

.upper .module_padding {
	width:<?php echo $advert_width; ?>px;
}

.bottom .module_padding {
	width:<?php echo $bottom_width; ?>px;
}

.bottom2 .module_padding {
	width:<?php echo $bottom_width2; ?>px;
}

.header_wrap {
	height:96px;
	background: <?php echo $bgColor; ?>; /* Old browsers */
	background: -moz-linear-gradient(left,  <?php echo $bgColor; ?> 0%, <?php echo $bgColor2; ?> 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, right top, color-stop(0%,<?php echo $bgColor; ?>), color-stop(100%,<?php echo $bgColor2; ?>)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(left,  <?php echo $bgColor; ?> 0%,<?php echo $bgColor2; ?> 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(left,  <?php echo $bgColor; ?> 0%,<?php echo $bgColor2; ?> 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(left,  <?php echo $bgColor; ?> 0%,<?php echo $bgColor2; ?> 100%); /* IE10+ */
	background: linear-gradient(to right,  <?php echo $bgColor; ?> 0%,<?php echo $bgColor2; ?> 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='<?php echo $bgColor; ?>', endColorstr='<?php echo $bgColor2; ?>',GradientType=1 ); /* IE6-9 */
}

.topmenu_wrap {
	background: <?php echo $topMenuBg; ?>; /* Old browsers */
	background: -moz-linear-gradient(top,  <?php echo $topMenuBg; ?> 0%, <?php echo $topMenuBg2; ?> 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,<?php echo $topMenuBg; ?>), color-stop(100%,<?php echo $topMenuBg2; ?>)); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  <?php echo $topMenuBg; ?> 0%,<?php echo $topMenuBg2; ?> 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  <?php echo $topMenuBg; ?> 0%,<?php echo $topMenuBg2; ?> 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  <?php echo $topMenuBg; ?> 0%,<?php echo $topMenuBg2; ?> 100%); /* IE10+ */
	background: linear-gradient(to bottom,  <?php echo $topMenuBg; ?> 0%,<?php echo $topMenuBg2; ?> 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='<?php echo $topMenuBg; ?>', endColorstr='<?php echo $topMenuBg2; ?>',GradientType=0 ); /* IE6-9 */

}

#column_left {
	width:<?php echo $columnLeftWidth; ?>px;
}

#column_right {
	width:<?php echo $columnRightWidth; ?>px;
}

#content_wrap {
	width:<?php echo $contentWidth; ?>px;
}

.componentheading, h1 {
	color:<?php echo $componentHeadingText; ?>;
}

.contentheading, h2, h2 a:link, h2 a:visited, h3, h4, .contentheading a.contentpagetitle {
	color:<?php echo $headingText; ?>;
}

#column_right div.moduletable, #column_left div.moduletable {
    color:<?php echo $columnText; ?>;
}

div.moduletable h3, div.moduletable_menu h3, div.moduletable_text h3 {
	color:<?php echo $columnHeading; ?>;
}

#nav li a, #nav li span {
    color:<?php echo $topMenuText; ?>;
}

#nav li ul li a:link, #nav li ul li a:visited, #nav li.active ul li a:link, #nav li.active ul li a:visited {
	color:<?php echo $topMenuSubText; ?> !important;
}

#nav li.active a, #nav li.active span {
	color:<?php echo $topMenuTabActive; ?>;
}

#nav li a:hover, #nav li.active ul li a:hover, #nav li span:hover, #nav li.active ul li span:hover,
#nav li ul li a:hover, #nav li.active ul li a:hover, #nav li ul li span:hover, #nav li.active ul li span:hover {
	color:<?php echo $topMenuTabHover; ?> !important;
}

a:link,a:visited {
	color:<?php echo $linksColor; ?>;
}

.sectiontableentry1 a:link,.sectiontableentry1 a:visited,.sectiontableentry1 a:hover,
.sectiontableentry2 a:link,.sectiontableentry2 a:visited,.sectiontableentry2 a:hover {
	color:<?php echo $bodyText; ?>;
}

#column_right ul.menu li a:link, #column_right ul.menu li a:visited, #column_left ul.menu li a:link, #column_left ul.menu li a:visited,
#column_right li.active a:link,#column_right li.active a:visited,#column_left li.active a:link,#column_left li.active a:visited,
ul.VMmenu li a:link, ul.VMmenu li a:visited, ul.vmmanufacturer li a:link, ul.vmmanufacturer li a:visited {
	color:<?php echo $mainMenuColor; ?>;
}

#column_right ul.menu li.active a:link, #column_right ul.menu li.active a:visited, #column_left ul.menu li.active a:link, #column_left ul.menu li.active a:visited, ul.VMmenu li.VmOpen a:link, ul.VMmenu li.VmOpen a:visited {
	color:<?php echo $mainMenuActiveColor; ?>;
}

#column_right ul.menu li a:hover, #column_left ul.menu li a:hover, ul.VMmenu li a:hover, ul.vmmanufacturer li a:hover {
	color:<?php echo $mainMenuHoverColor; ?> !important;
}

.button {
	background-color:<?php echo $buttonsBg; ?> !important;
    border:1px solid <?php echo $buttonsBg; ?>;
    color:<?php echo $buttonsText; ?>;
}

span.quantity-box {
	border:1px solid <?php echo $buttonsBg; ?>;
}

.productdetails-view .product-price {
	color:<?php echo $buttonsBg; ?>;
}

.button a:link, .button a:visited, .button a:hover {
	color:<?php echo $buttonsText; ?>;
	text-decoration:none;
}

a.button:link,a.button:visited,a.button:hover {
	color:<?php echo $buttonsText; ?>;
}

a.product-details, a.product-details:hover {
	background:<?php echo $buttonsBg; ?> url(<?php echo $template_path; ?>/images/price_bg_cart.png) no-repeat right;
	border-color:<?php echo $buttonsBg; ?>;
	color:<?php echo $buttonsText; ?> !important;
}

.addtocart-bar {
	background:<?php echo $buttonsBg; ?> url(<?php echo $template_path; ?>/images/add-to-cart_box.png) no-repeat bottom left;
}

.footer_container {
	background:<?php echo $footerBg; ?>;
}