<?php
/*------------------------------------------------------------------------
# "Hot Effects Rotator" Joomla module
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotThemes
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access'); // no direct access

// get the document object
$doc = JFactory::getDocument();

// add your stylesheet
$doc->addStyleSheet( 'modules/mod_hot_effects_rotator/tmpl/style.css' );

// style declaration
$doc->addStyleDeclaration( '

#slider {
	position:relative;
	padding:0;
	margin:0;
}

.nivo-directionNav a {
	background:url('.$mosConfig_live_site.'/templates/hot_drug_store/images/arrows.png) no-repeat;
}

a.nivo-nextNav {
	background-position:-32px 0;
	right:10px;
}
a.nivo-prevNav {
	left:10px;
}

a.nivo-nextNav:hover {
	background:url('.$mosConfig_live_site.'/templates/hot_drug_store/images/arrows.png) no-repeat;
	background-position:-32px 0;
}

a.nivo-prevNav:hover {
	background:url('.$mosConfig_live_site.'/templates/hot_drug_store/images/arrows.png) no-repeat;
}

.nivo-controlNav a {
	display:inline-block;
	width:20px;
	height:20px;
	background:url('.$mosConfig_live_site.'/templates/hot_drug_store/images/bullets.png) no-repeat;
	text-indent:-9999px;
	border:0;
	margin-right:3px;
	text-align: left;
	cursor: pointer;
}

.nivo-controlNav a.active {
	background-position:-20px 0;
}

' );

?>

<?php if ($enablejQuery!=0) { ?>
<script type="text/javascript" src="<?php echo $mosConfig_live_site; ?>/modules/mod_hot_effects_rotator/js/jquery.min.js"></script>
<script type="text/javascript">
     jQuery.noConflict();
</script>
<?php } ?>
<script type="text/javascript" src="<?php echo $mosConfig_live_site; ?>/modules/mod_hot_effects_rotator/js/jquery.nivo.slider.js"></script>
<script type="text/javascript">
jQuery(window).load(function() {
	jQuery('#slider').nivoSlider({
		effect:'<?php echo $transitionEffect; ?>', //sliceDown, sliceDownLeft, sliceUp, sliceUpLeft, sliceUpDown, sliceUpDownLeft, fold, fade, random
		slices:<?php echo $slices; ?>,
		animSpeed:<?php echo $animSpeed; ?>,
		pauseTime:<?php echo $pauseTime; ?>,
		directionNav:<?php if ($directionNav) { echo "true"; }else{ echo "false"; } ?>,				//Next and Prev
		directionNavHide:<?php if ($directionNavHide) { echo "true"; }else{ echo "false"; } ?>, 	//Only show on hover
		controlNav:<?php if ($controlNav) { echo "true"; }else{ echo "false"; } ?>, 				//1,2,3...
		pauseOnHover:<?php if ($pauseOnHover) { echo "true"; }else{ echo "false"; } ?>, 			//Stop animation while hovering
		manualAdvance:<?php if ($manualAdvance) { echo "true"; }else{ echo "false"; } ?>, 			//Force manual transitions
		beforeChange: function(){},
		afterChange: function(){}
	});
});
</script>

<!--[if IE 6]>
<script type="text/javascript" src="<?php echo $mosConfig_live_site; ?>/modules/mod_hot_effects_rotator/js/pngfix.js"></script>
<script>
  POS_BrowserPNG.fix('div#header_hotslider div#slide-holder div#slide-controls p#slide-nav a,div#header_hotslider div#slide-holder div#slide-controls');
</script>
<![endif]-->

<div id="slider">
<?php
for ($loop = 1; $loop <= 20; $loop += 1) {
	if ($imageArray[$loop]) {		
?>
	<?php if ($imageLinkArray[$loop]) { ?><a href="<?php echo $imageLinkArray[$loop]; ?>" title="<?php echo $imageTitleArray[$loop]; ?>" <?php if ($linkNewWindow) { ?>target="_blank"<?php } ?>><?php } ?>
    <img src="<?php echo $mosConfig_live_site; ?>/<?php echo $imageArray[$loop]; ?>" alt="<?php echo $imageAltArray[$loop]; ?>" title="<?php echo $imageDescArray[$loop]; ?>" />
    <?php if ($imageLinkArray[$loop]) { ?></a><?php } ?>
<?php
	}
}
?>
</div>
<div class="clreffects"></div>
